__precompile__(true)
module Suiron   # A Prolog-like inference engine.

include("./Types.jl")
include("./LogicVar.jl")
include("./SubstitutionSet.jl")
include("./Atom.jl")
include("./SNumber.jl")
include("./SLinkedList.jl")
include("./SComplex.jl")
include("./ParseGoals.jl")
include("./ParseArgs.jl")
include("./ComplexSolutionNode.jl")
include("./Rule.jl")
include("./KnowledgeBase.jl")
include("./Goal.jl")
include("./SolutionNode.jl")
include("./Anonymous.jl")
include("./Token.jl")
include("./Tokenizer.jl")
include("./BuiltInPredicate.jl")
include("./SFunction.jl")
include("./Unification.jl")
include("./Timeout.jl")
include("./Solve.jl")
include("./SOperator.jl")
include("./AndSolutionNode.jl")
include("./OrSolutionNode.jl")
include("./CutSolutionNode.jl")
include("./FailSolutionNode.jl")
include("./Count.jl")
include("./Append.jl")
include("./Add.jl")
include("./Subtract.jl")
include("./Multiply.jl")
include("./Divide.jl")
include("./GreaterThan.jl")
include("./LessThan.jl")
include("./GreaterThanOrEqual.jl")
include("./LessThanOrEqual.jl")
include("./Equal.jl")
include("./NewLine.jl")
include("./Print.jl")
include("./PrintList.jl")
include("./Exclude.jl")
include("./Include.jl")
include("./Functor.jl")
include("./Join.jl")
include("./NotSolutionNode.jl")
include("./Time.jl")
include("./TimeSolutionNode.jl")
include("./RuleReader.jl")

function __init__()
    println("Suiron has loaded.")
end

end
